package com.ssj.bean.conch.conch.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 15:06 2019/10/24
 * @Modified By
 */
public class ProblemDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private int isFeedback;

    private String problemPictureId = "";

    private int queryStatus;

    private int resolutionStatus;

    private String createTime = "";

    private String subject = "";

    private String derverFileKey = "";

    private String problemFeedbackVideoPath = "";

    private String problemPicturePath = "";

    private List<KmtExerciseQuestionProblemDto> similarQuestions = new ArrayList<>();

    private List<KmtQuestionDto> recommendedQuestions = new ArrayList<>();

    private String teacherMessage = "";
    /**
     * 图片列表
     */
    private List<Map<String, String>> fileKeys;
    /**
     * 语音list
     */
    private List<Map<String, String>> voiceKeyList;

    public int getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(int isFeedback) {
        this.isFeedback = isFeedback;
    }

    public String getProblemPictureId() {
        return problemPictureId;
    }

    public void setProblemPictureId(String problemPictureId) {
        this.problemPictureId = problemPictureId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getDerverFileKey() {
        return derverFileKey;
    }

    public void setDerverFileKey(String derverFileKey) {
        this.derverFileKey = derverFileKey;
    }

    public String getProblemFeedbackVideoPath() {
        return problemFeedbackVideoPath;
    }

    public void setProblemFeedbackVideoPath(String problemFeedbackVideoPath) {
        this.problemFeedbackVideoPath = problemFeedbackVideoPath;
    }

    public String getProblemPicturePath() {
        return problemPicturePath;
    }

    public void setProblemPicturePath(String problemPicturePath) {
        this.problemPicturePath = problemPicturePath;
    }

    public List<KmtExerciseQuestionProblemDto> getSimilarQuestions() {
        return similarQuestions;
    }

    public void setSimilarQuestions(List<KmtExerciseQuestionProblemDto> similarQuestions) {
        this.similarQuestions = similarQuestions;
    }

    public List<KmtQuestionDto> getRecommendedQuestions() {
        return recommendedQuestions;
    }

    public void setRecommendedQuestions(List<KmtQuestionDto> recommendedQuestions) {
        this.recommendedQuestions = recommendedQuestions;
    }

    public String getTeacherMessage() {
        return teacherMessage;
    }

    public void setTeacherMessage(String teacherMessage) {
        this.teacherMessage = teacherMessage;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public int getQueryStatus() {
        return queryStatus;
    }

    public void setQueryStatus(int queryStatus) {
        this.queryStatus = queryStatus;
    }

    public int getResolutionStatus() {
        return resolutionStatus;
    }

    public void setResolutionStatus(int resolutionStatus) {
        this.resolutionStatus = resolutionStatus;
    }

    public List<Map<String, String>> getFileKeys() {
        return fileKeys;
    }

    public void setFileKeys(List<Map<String, String>> fileKeys) {
        this.fileKeys = fileKeys;
    }

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }
}
